cascading.operation.aggregator

## Class Last

- java.lang.Object
- - cascading.operation.BaseOperation<Tuple[]>
  - - cascading.operation.aggregator.ExtentBase
    - - cascading.operation.aggregator.Last

- All Implemented Interfaces:
    DeclaresResults, Aggregator<Tuple[]>, Operation<Tuple[]>, Traceable, java.io.Serializable

      public class Last
      extends ExtentBase

  Class Last is an `Aggregator` that returns the last `Tuple` encountered.

  By default, it returns the last Tuple of `Fields.ARGS` found.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Last()` Selects and returns the last argument Tuple encountered.
    `Last(Fields fieldDeclaration)` Selects and returns the last argument Tuple encountered.
    `Last(Fields fieldDeclaration, Tuple... ignoreTuples)` Selects and returns the last argument Tuple encountered, unless the Tuple is a member of the set ignoreTuples.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `performOperation(Tuple[] context, TupleEntry entry)`

    - ### Methods inherited from class cascading.operation.aggregator.ExtentBase

      `aggregate, complete, equals, getIgnoreTuples, getResult, hashCode, prepare, start`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

- - ### Constructor Detail

    - #### Last

          public Last()

      Selects and returns the last argument Tuple encountered.

    - #### Last

          @ConstructorProperties(value="fieldDeclaration")
          public Last(Fields fieldDeclaration)

      Selects and returns the last argument Tuple encountered.
      Parameters:
        `fieldDeclaration` - of type Fields

    - #### Last

          @ConstructorProperties(value={"fieldDeclaration","ignoreTuples"})
          public Last(Fields fieldDeclaration,
                                    Tuple... ignoreTuples)

      Selects and returns the last argument Tuple encountered, unless the Tuple is a member of the set ignoreTuples.
      Parameters:
        `fieldDeclaration` - of type Fields
        `ignoreTuples` - of type Tuple...

  - ### Method Detail

    - #### performOperation

          protected void performOperation(Tuple[] context,
                              TupleEntry entry)

      Specified by:
        `performOperation` in class `ExtentBase`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.